Bug 1079523 - Please update to boto 2.27.0 or newer
Summary: Please update to boto 2.27.0 or newer
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-boto
Version: el6
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Garrett Holmstrom
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-21 18:28 UTC by David Kavanagh
Modified: 2014-04-16 09:26 UTC (History)
3 users (show)

Fixed In Version: python-boto-2.27.0-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-02 18:22:35 UTC
Type: Bug


Attachments (Terms of Use)

Description David Kavanagh 2014-03-21 18:28:34 UTC
Description of problem:
There's a fix that made it into 2.27.0 which I'd like to take advantage of.
https://github.com/boto/boto/pull/2118
EPEL currently has 2.25.0
http://koji.fedoraproject.org/koji/buildinfo?buildID=497918

Version-Release number of selected component (if applicable):
2.27.0

Additional info:
I suspect any newer version that gets released before this is acted upon would be acceptable as well.

Comment 1 Garrett Holmstrom 2014-03-21 20:05:47 UTC
That version still seems to use sigv4 with S3 only when necessary or explicitly requested, so a simple version bump seems backward-compatible enough for me!

Comment 2 Fedora Update System 2014-03-21 21:40:55 UTC
python-boto-2.27.0-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-boto-2.27.0-1.fc20

Comment 3 Fedora Update System 2014-03-21 21:41:44 UTC
python-boto-2.27.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-boto-2.27.0-1.fc19

Comment 4 Fedora Update System 2014-03-21 21:42:34 UTC
python-boto-2.27.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-boto-2.27.0-1.el6

Comment 5 Fedora Update System 2014-03-21 21:43:07 UTC
python26-boto-2.27.0-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/python26-boto-2.27.0-1.el5

Comment 6 Fedora Update System 2014-03-22 22:26:53 UTC
Package python-boto-2.27.0-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-boto-2.27.0-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0923/python-boto-2.27.0-1.el6
then log in and leave karma (feedback).

Comment 7 David Kavanagh 2014-03-25 00:23:03 UTC
I've tested by pulling from epel-testing and it worked as expected for me.

Comment 8 Fedora Update System 2014-04-02 18:22:35 UTC
python-boto-2.27.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-04-15 23:27:42 UTC
python26-boto-2.27.0-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-04-16 09:23:39 UTC
python-boto-2.27.0-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-04-16 09:26:36 UTC
python-boto-2.27.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.